# Makefile for TINE server generated on Thu Feb 23 11:09:44 2006
# SUN:                  CC = CC         CCL = CC         LM = 
# SGI,OSF,LINUX,FreeBSD CC = cc         CCL = cc         LM = -lm
# ULT                   CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:                   CC = cc -Aa     CCL = cc         LM = -lM
# SOLARIS               CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
TINEEXE = rpcserv
TINELIB = libtinemt.a
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/almlib.h

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -lpthread

${TINEEXE}: devsrv.o gtweqm.o dorisget.o ${LIBS}/${TINELIB}
	${CCL} -o ${TINEEXE} devsrv.o gtweqm.o dorisget.o ${LIBS}/${TINELIB} ${LM}
	chmod a+s ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

gtweqm.o: gtweqm.c gtweqm.h ${HDRS}
	${CC} gtweqm.c

dorisget.o: dorisget.c ${HDRS}
	${CC} dorisget.c

clean:
	rm *.o
